## sysvinit-2.86.ds1.tar.bz2

=== debian/startpar/Makefile ===
VERSION = 0.49

INSTALL		= install -m 755
INSTALL_DATA	= install -m 644
DESTDIR		=
sbindir		= /sbin
mandir		= /usr/share/man
man8dir		= $(mandir)/man8

OBJS		= startpar.o makeboot.o proc.o

CC = gcc
OPTFLAGS = -O2 -g -Wall -W
CFLAGS = $(OPTFLAGS) -D_GNU_SOURCE

.c.o:
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -c $<

startpar: $(OBJS)
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -o $@ $(OBJS)

install: startpar
	$(INSTALL) -d $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
	$(INSTALL) -s startpar $(DESTDIR)$(sbindir)/.
	$(INSTALL_DATA) startpar.8 $(DESTDIR)$(man8dir)/.

clean:
	rm -f startpar $(OBJS)

=== debian/changelog ===
sysvinit (2.86.ds1-38) unstable; urgency=medium

  * Medium urgency as it solve an RC bug in etch.
  * New upload, this time with only the files included in svn, and without
    the cruft included by mistake last time.  No idea why svn-buildpackage
    didn't behave as I expected it to.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 30 Jan 2007 23:14:04 +0100

sysvinit (2.86.ds1-37) unstable; urgency=medium

  * Medium urgency as it solve an RC bug in etch.
  * Replace 66_init_emerg_tty patch with one only creating a new
    session group when sulogin is called directly from init, and not
    as part of the runlevel start scripts, to avoid leaving the single
    user shell behind when switching runlevel.  Updated patch from Samuel
    Thibault. (Closes:406587)
  * Speed up shutdown 1 second by dropping sleep 1 in init.d/halt
    introduced 2.86.ds1-12.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Jan 2007 20:04:35 +0100

sysvinit (2.86.ds1-36) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs in etch.
  * Don't reset step to 0 between running Kill and Start scripts
    (this is why the progress bar jumps during splash down).  Patch from
    Scott James Remnant and Ubuntu.
  * Also consider ltsp-client as end-point for the usplash
    progress bar.  Patch from Scott James Remnant and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 28 Nov 2006 19:56:20 +0100

sysvinit (2.86.ds1-35) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs in etch.
  * Make sure init.d/umountfs umount tmpfs file systems in order of
    decreasing length, to avoid problems on systems with chroots.
    Patch from Peter Rabbitson.  (Closes: #391673)
  * Add boot option ASYNCMOUNTNFS=no to get the old init.d/mountnfs.sh
    behaviour until ifup work properly with / on NFS.  The default is
    'yes' as it has the highest chance of success for non-diskless machines.
    It is also useful for machines with multiple network cards.
    (Closes: #388761, #393532)
  * Fix syslogging code in if-up.d/mountnfs to find logger if it exist.
    Patch from John Morrissey.  (Closes: #398644)
  * Avoid file descriptor leak to mount in init.d/mtab.sh.  Based
    on patch from David Härdeman. (Closes: #397525).
  * Fix typo in message added in 91_sulogin_lockedpw.dpatch.
    Thanks to Robert Bihlmeyer.  (Closes: #399715)
  * Undo use of fuser to kill processes in umountnfs before unmounting
    partitions, as it will kill init and /etc/init.d/rc during
    shutdown if root is on NFS or tmpfs file systems are bind-mounted
    into chroots.  Use sendsigs and move it before umountnfs, and thus
    reopen bugs #258420, #367944.  (Closes: #392861)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Nov 2006 20:06:00 +0100

sysvinit (2.86.ds1-34) unstable; urgency=medium

  * Medium urgency as it solve some RC bugs.
  * Remove the postinst code in initscripts for mounting /lib/init/rw/.
    Just require a reboot for it to take effect, instead of trying to
    make sure it is mounted when the package is installed.  Flag this
    need using /usr/share/update-notifier/notify-reboot-required if it
    exist.  (Closes: #393465, #391605, #390126)
  * Remove debian/sysv-rc/postinst as well as it is unused now.
  * Replace SElinux patches 40_selinux and 41_selinux_console with updated
    40_selinux from Manoj Srivastava. (Closes: #394304)
  * Print message when refusing to mount nfs directories because the
    lockdir exist.
  * Add exit handler in if-up.d/mountnfs to make sure the lock directory
    is removed when the script is interrupted.
  * Remove NEWS entries explaining how to recover from the version of
    sysv-rc present 6th to 8th of September in unstable.  Remove
    update-rc.d-recover as it should no longer be needed. (Closes:
    #394332)
  * Add XS-Vcs-Svn entry in the control file, to make the subversion
    repository easier to find.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2006 18:33:33 +0100

sysvinit (2.86.ds1-33) unstable; urgency=low

  * Do not insert /dev/.static/dev in /etc/mtab, and do not try to
    umount it either.  Avoids confusing users. (Closes: #391122)
  * Let initscripts conflict with udev << 0.080-1, and stop calling
    mountdevsub.sh from mtab.sh. (Closes: #391312)
  * Do not fail to install initscripts even if /lib/init/rw/ can
    not be mounted. (Closes: #391115)
  * Adjust how fuser is called by umountnfs, using the exit code from
    fuser instead of looking at its output. Based on patch from Markus
    Schoder. (Closes: 390936)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  6 Oct 2006 19:51:05 +0200

sysvinit (2.86.ds1-32) unstable; urgency=low

  * Set SE context on /dev/pts and /dev/ptm if they are created by
    mountdevsubfs.sh to work better with SELinux.  Patch from Erich
    Schubert. (Closes: 390897)

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 20:39:56 +0200

sysvinit (2.86.ds1-31) unstable; urgency=low

  * Fix calls to fuser in umountnfs.sh.  Thanks to Frank Mehnert for the tip.
  * Correct code detecting single-user in stop-bootlog-single to only
    trigger on '1' as single word and not as option argument. (Closes:
    #390572, #387340)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  2 Oct 2006 19:55:11 +0200

sysvinit (2.86.ds1-30) unstable; urgency=low

  * Avoid mounting /lib/init/rw/ during installation and upgrades if
    the kernel do not support tmpfs. (Closes: #390339)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Oct 2006 20:03:33 +0200

sysvinit (2.86.ds1-29) unstable; urgency=low

  * Ignore problems with creating /var/run and /var/lock during
    installation and upgrades.  This should avoid installation problem
    in vserver environments.
  * Only try to create /var/run and /var/lock on the root file system
    in non-chroot environments?
  * Use 'mkdir -p' when creating /.root, to avoid failing if it
    already exist.  (Closes: #390327)


=== debian/control ===
Source: sysvinit
Section: admin
Priority: required
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders: Miquel van Smoorenburg <miquels@cistron.nl>, Petter Reinholdtsen <pere@debian.org>, Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends: dpatch, libselinux1-dev (>= 1.14) [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libsepol1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-sysvinit/sysvinit/trunk

Package: sysvinit
Essential: yes
Architecture: any
Pre-Depends: initscripts, sysv-rc (>= 2.86.ds1-1.2) | file-rc (>> 0.7.0), sysvinit-utils
Depends: ${shlibs:Depends}
Description: System-V-like init utilities
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Essential: yes
Architecture: any
Conflicts: last
Replaces: last, sysvinit (<= 2.86.ds1-22)
Depends: ${shlibs:Depends}
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, last, lastb, mesg, pidof, sulogin

Package: sysv-rc
Architecture: all
Recommends: lsb-base (>= 3.0-6)
Conflicts: file-rc
Replaces: file-rc, sysvinit (<< 2.85-1)
Suggests: sysv-rc-conf, bum
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, shutting down and changing runlevels,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, e2fsprogs (>= 1.32+1.33-WIP-2003.04.14-1), debianutils (>= 2.13.1), lsb-base (>= 3.0-6), sysvinit-utils
Recommends: psmisc
Conflicts: mdutils, sysv-rc (<< 2.86.ds1-1.2), sysvinit (<< 2.86.ds1-12), udev (<< 0.080-1)
Replaces: mdutils, sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
Description: Scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 GNU/Linux system at boot time and finalize it at halt or
 reboot time.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc

SHELL	= /bin/bash
LC_ALL	= POSIX

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null || true)

# Handle fact that sarge dpkg-architecture doesn't have DEB_HOST_ARCH_OS
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

LIBC6	= libc6
ifeq ($(DEB_HOST_ARCH), alpha)
LIBC6	= libc6.1
endif
ifeq ($(DEB_HOST_ARCH), ia64)
LIBC6	= libc6.1
endif

define checkdir
	test -f src/init.c
endef

build: patch-stamp
# Builds the binary package.
	$(checkdir)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	(cd src; make DISTRO=Debian WITH_SELINUX="yes")
else
	(cd src; make DISTRO=Debian)
endif
	make -C debian/startpar
	cc -W -Wall -s -o debian/readlink debian/readlink.c
	touch build

# Make a binary package (.deb file)
binary-arch:	build checkroot
	#
	# sysvinit package
	#
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)
	install -d -o root -g root -m 755 $(tmp)/{DEBIAN,etc}
	install -d -o root -g root -m 755 $(tmp)/usr/share/sysvinit
	install -d -o root -g root -m 755 $(tmp)/usr/include
	install -d -o root -g root -m 755 $(tmp)$(doc)/sysvinit
	install -o root -g root -m 644 doc/Changelog \
		$(tmp)$(doc)/sysvinit/changelog
	install -o root -g root -m 644 debian/changelog \
		$(tmp)$(doc)/sysvinit/changelog.Debian
	install -o root -g root -m 644 debian/NEWS \
		$(tmp)$(doc)/sysvinit/NEWS.Debian
	gzip -9f $(tmp)$(doc)/sysvinit/changelog*
	gzip -9f $(tmp)$(doc)/sysvinit/NEWS.Debian
	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
	then \
		install -o root -g root -m 644 \
			debian/share/inittab.$(DEB_HOST_GNU_TYPE) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) ; \
	then \
		install -o root -g root -m 644 \
			debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	else \
		install -o root -g root -m 644 debian/share/inittab \
			$(tmp)/usr/share/sysvinit/inittab ; \
	fi
	install -o root -g root -m 755 debian/share/update-rc.d \
		$(tmp)/usr/share/sysvinit
	install -d -o root -g root -m 755 $(tmp)/{bin,sbin,lib,usr}
	install -d -o root -g root -m 755 $(tmp)/usr/bin
	install -d -o root -g root -m 755 $(tmp)/usr/sbin
	install -d -o root -g root -m 755 $(tmp)/usr/share/man
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man{1,5,8}
	(cd src; make ROOT=$(tmp) DISTRO=Debian install )
	make -C debian/startpar DESTDIR=$(tmp) install
	strip -s -R comment -R .comment $(tmp)/sbin/startpar
ifeq ($(DEB_HOST_ARCH), hurd-i386)
	# The Hurd has its own halt and reboot commands.
	rm -f $(tmp)/usr/share/man/man8/halt.8
	rm -f $(tmp)/usr/share/man/man8/reboot.8
	rm -f $(tmp)/sbin/halt
	rm -f $(tmp)/sbin/reboot
endif
	rm -f $(tmp)/usr/share/man/man8/killall5.8
	rm -f $(tmp)/usr/share/man/man8/sulogin.8
	rm -f $(tmp)/usr/share/man/man1/last.1
	rm -f $(tmp)/usr/share/man/man1/lastb.1
	rm -f $(tmp)/usr/share/man/man1/mesg.1
	rm -f $(tmp)/usr/share/man/man8/pidof.8
	rm -f $(tmp)/usr/share/man/man1/mountpoint.1
	rm -f $(tmp)/sbin/killall5
	rm -f $(tmp)/sbin/sulogin
	rm -f $(tmp)/usr/bin/last
	rm -f $(tmp)/usr/bin/lastb
	rm -f $(tmp)/usr/bin/mesg
	rm -f $(tmp)/bin/pidof
	rm -f $(tmp)/bin/mountpoint
	rmdir $(tmp)/usr/share/man/man1
	rmdir $(tmp)/usr/sbin
	rmdir $(tmp)/usr/bin
	rmdir $(tmp)/bin
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -o root -g root -m 644 debian/copyright \
	  $(tmp)$(doc)/sysvinit/copyright
	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit/copyright
	install -o root -g root -m 755 debian/postinst $(tmp)/DEBIAN/postinst
	dpkg-shlibdeps src/init debian/startpar/startpar
	dpkg-gencontrol -psysvinit -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)
	#
	# sysvinit-utils package
	#
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)
	install -d -o root -g root -m 755 $(tmp)/DEBIAN
	install -d -o root -g root -m 755 $(tmp)$(doc)/sysvinit-utils
	install -o root -g root -m 644 doc/Changelog \
		$(tmp)$(doc)/sysvinit-utils/changelog
	install -o root -g root -m 644 debian/changelog \
		$(tmp)$(doc)/sysvinit-utils/changelog.Debian
	gzip -9f $(tmp)$(doc)/sysvinit-utils/changelog*
	install -d -o root -g root -m 755 $(tmp)/{bin,sbin,lib,usr}
	install -d -o root -g root -m 755 $(tmp)/usr/bin
	install -d -o root -g root -m 755 $(tmp)/usr/share/man
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man{1,8}
	install -o root -g root -m 755 src/killall5 $(tmp)/sbin
	install -o root -g root -m 755 src/sulogin $(tmp)/sbin
	install -o root -g root -m 755 src/last $(tmp)/usr/bin
	install -o root -g root -m 755 src/mesg $(tmp)/usr/bin
	strip -s -R .comment $(tmp)/sbin/killall5
	strip -s -R .comment $(tmp)/sbin/sulogin
	strip -s -R .comment $(tmp)/usr/bin/last
	strip -s -R .comment $(tmp)/usr/bin/mesg
	ln -sf ../sbin/killall5 $(tmp)/bin/pidof
	ln -sf last $(tmp)/usr/bin/lastb
	install -o root -g root -m 644 man/killall5.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/sulogin.8 $(tmp)/usr/share/man/man8
	install -o root -g root -m 644 man/last.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 644 man/lastb.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 644 man/mesg.1 $(tmp)/usr/share/man/man1
	install -o root -g root -m 644 man/pidof.8 $(tmp)/usr/share/man/man8
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -o root -g root -m 644 debian/copyright \
	  $(tmp)$(doc)/sysvinit-utils/copyright
	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit-utils/copyright
	dpkg-shlibdeps src/init
	dpkg-gencontrol -psysvinit-utils -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)
	#
	# initscripts package
	#
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)
	install -d -o root -g root -m 755 $(tmp)/{DEBIAN,sbin,lib,etc}
ifeq ($(DEB_HOST_ARCH_OS),linux)
	install -d -o root -g root -m 755 $(tmp)/sys
endif
	install -d -o root -g root -m 755 $(tmp)/lib/init
	install -d -o root -g root -m 755 $(tmp)/lib/init/rw
	install -d -o root -g root -m 755 $(tmp)/usr/share/initscripts
	install -d -o root -g root -m 755 $(tmp)/var/lib/initscripts
	install -d -o root -g root -m 755 $(tmp)/var/log/fsck
	install -d -o root -g root -m 755 $(tmp)$(doc)/initscripts
	install -o root -g root -m 644 debian/initscripts/doc/* $(tmp)$(doc)/initscripts
	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
		> $(tmp)$(doc)/initscripts/changelog.Debian
	chmod 644 $(tmp)$(doc)/initscripts/changelog.Debian
	gzip -9f $(tmp)$(doc)/initscripts/*
	cp -afv debian/initscripts/share/* $(tmp)/usr/share/initscripts
	cp -afv debian/initscripts/etc/* $(tmp)/etc
	cp -afv debian/initscripts/lib/* $(tmp)/lib
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	chmod 755 $(tmp)/etc/network/if-up.d/[a-z]*
	chmod 644 $(tmp)/lib/init/*.sh
	chmod 644 $(tmp)/etc/init.d/skeleton
	chmod -R g-w $(tmp)
	chown -R root:root $(tmp)
	install -d -o root -g root -m 755 $(tmp)/bin
	install -d -o root -g root -m 755 $(tmp)/etc/default
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man1
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man5
	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man8
	install -d -o root -g root -m 755 $(tmp)/var/lib/urandom
	install -o root -g root -m 755 debian/initscripts/sbin/fsck.nfs \
		$(tmp)/sbin/fsck.nfs
	install -o root -g root -m 644 debian/initscripts/man/fsck.nfs.8 \
		$(tmp)/usr/share/man/man8/fsck.nfs.8
	install -o root -g root -m 644 debian/initscripts/rcS.5 \
		$(tmp)/usr/share/man/man5
	install -o root -g root -m 755 src/mountpoint $(tmp)/bin
	strip -s -R .comment $(tmp)/bin/mountpoint
	install -o root -g root -m 644 man/mountpoint.1 $(tmp)/usr/share/man/man1
